'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9b9440d2.js');
const mock = require('./mock-b3dd918d.js');

const sSaqhanAppFooterCss = ".footer{margin-top:100px;margin-bottom:70px}.footer-info{margin-bottom:40px;color:#000;font-size:25px;font-weight:400;font-family:\"Open Sans\", sans-serif}.footer-info-office{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.footer-info-number{color:#007bff;font-size:14px}.footer-title{margin-bottom:35px;color:#39374d;font-size:18px;font-weight:500}.footer-item ul{padding-left:0px}.footer-item ul li{list-style-type:none;margin-bottom:15px}.foot-nav-link{color:#39374d;font-size:16px;-webkit-transition:0.1s ease;transition:0.1s ease}.foot-nav-link:hover{color:#007bff;font-weight:500;text-decoration:none;border-bottom:2px solid #007bff}.coopyrite{height:60px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;border-top:1px solid #e2e7ea}.coopyrite .left{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.coopyrite .right{text-align:right;color:#5e5d6c}.coopyrite .right a{font-family:\"Futura PT Book\";color:#5e5d6c;font-size:16px;text-decoration:none}@media screen and (max-width: 992px){.footer{margin-top:70px;margin-bottom:40px}.footer-info-block{text-align:center;margin-bottom:20px}}@media screen and (max-width: 768px){.footer-title,.footer-item{text-align:center}}@media screen and (max-width: 414px){.footer{text-align:center}.footer-title{margin-top:20px}.coopyrite{text-align:center}.coopyrite .right{text-align:center}}";

const SSaqhanAppFooter = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row footer" }, index.h("div", { class: "col-lg-4 col-md-12 footer-info-block" }, index.h("div", { class: "footer-info" }, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Alias aliquid asperiores."), index.h("div", { class: "footer-soc" }, index.h("div", { class: "template-demo" }, index.h("button", { type: "button", class: "btn btn-social-icon btn-facebook btn-rounded" }, index.h("i", { class: "fab fa-facebook-f" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-twitter btn-rounded" }, index.h("i", { class: "fab fa-youtube" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, index.h("i", { class: "fab fa-instagram" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, index.h("i", { class: "fab fa-twitter" }))))), index.h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, index.h("div", { class: "footer-title" }, "Solutions"), index.h("div", { class: "footer-item" }, index.h("ul", null, index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Services")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Portfolio")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "About")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Blog"))))), index.h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, index.h("div", { class: "footer-title" }, "Products"), index.h("div", { class: "footer-item" }, index.h("ul", null, index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Platform")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Customers")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Products")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Pricing"))))), index.h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, index.h("div", { class: "footer-title" }, "Pricing"), index.h("div", { class: "footer-item" }, index.h("ul", null, index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Training")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Marketplace")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Experts")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Guides"))))), index.h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, index.h("div", { class: "footer-title" }, "Offices"), index.h("div", { class: "footer-item" }, index.h("ul", null, index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Training")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Marketplace")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Experts")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Guides"))))), index.h("div", { class: "col-12 pt-5" }, index.h("div", { class: "choose-language text-muted small" }, index.h("i", { class: "fas fa-globe-africa" }), " Choose Language", index.h("br", null), index.h("a", { href: "/", class: "pr-3" }, "English (United Tates)"), index.h("a", { href: "/" }, "French"))))));
    }
};
SSaqhanAppFooter.style = sSaqhanAppFooterCss;

const sSaqhanBlogCardCss = ".blog-card{width:310px;margin:auto}.blog-img{width:310px;height:210px;background-size:cover;border-radius:3px}.blog-card{width:310px;margin:auto;margin-top:15px;margin-bottom:15px}.blog-category{font-weight:600}";

const SSaqhanBlogCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category small pt-4";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
    }
    render() {
        return (index.h("div", { class: "blog-card" }, index.h("div", { class: "blog-img", style: { backgroundImage: "url(" + this.post.img + ")" } }), index.h("div", { class: this.ColorCategory(this.post.category) }, this.post.category), index.h("div", { class: "blog-title pt-3 font-weight-bold" }, this.post.title), index.h("div", { class: "btn-read pt-3" }, index.h("a", { href: "/second-page/" }, " ", this.post.btnText, " "))));
    }
};
SSaqhanBlogCard.style = sSaqhanBlogCardCss;

const sSaqhanChatAddQuestionCss = ".btn-new-ask{text-align:center;margin-top:10px}.btn-add-question{border-radius:30px;padding:10px 30px;border:none;background-color:#72b94d;color:#ffffff;text-transform:uppercase;font-size:12px;outline:none;letter-spacing:1px}";

const SSaqhanChatAddQuestion = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "btn-new-wrap" }, index.h("div", { class: "btn-new-ask" }, index.h("button", { class: "btn-add-question" }, "\u0417\u0430\u0434\u0430\u0442\u044C \u043D\u043E\u0432\u044B\u0439 \u0432\u043E\u043F\u0440\u043E\u0441"))));
    }
};
SSaqhanChatAddQuestion.style = sSaqhanChatAddQuestionCss;

const sSaqhanChatAppCss = ".wrapper-modal{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:end;justify-content:flex-end;-ms-flex-direction:column;flex-direction:column;position:fixed;top:2%;right:2%;z-index:999}.btn-open{width:60px;height:60px;font-size:24px;border:none;background-color:#72b94d;color:#fff;border-radius:50%;outline:none;cursor:pointer}.open-chat{text-align:right;z-index:999;position:fixed;right:10px;bottom:20px}.open-chat::after{content:\"1\";background-color:#c73f45;position:relative;top:-25px;left:-20px;color:#fff;font-size:12px;padding:5px 10px;border-radius:50%}@media (max-width: 414px){.wrapper-modal{top:0%;right:0%;max-width:414px}.wrapper-chat{width:414px}.personal-messages{height:80vh}.users{height:80vh}}@media (max-width: 375px){.wrapper-chat{max-width:375px;padding-right:0px}.users{padding:0px 10px}.new-mess{right:12%}}@media (max-width: 320px){.chat-header a{right:25%}.wrapper-chat{height:110vh}.message-date{font-size:11px}.users{padding:0px 25px}.personal-messages{padding:0 10px}}";

const SSaqhanChatApp = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.showContent = "users";
        this.close = index.createEvent(this, "close", 7);
        this.selectPersonal = index.createEvent(this, "selectPersonal", 7);
        this.selectUsers = index.createEvent(this, "selectUsers", 7);
        this.selectFiles = index.createEvent(this, "selectFiles", 7);
    }
    isShowChat() {
        this.showChat = !this.showChat;
    }
    onClose() {
        this.showChat = false;
    }
    onSelectPersonal() {
        return this.showContent = 'personal';
    }
    onSelectUsers() {
        return this.showContent = 'users';
    }
    onSelectFiles() {
        return this.showContent = 'files';
    }
    render() {
        return (index.h("div", { class: "wrapper-modal" }, this.showChat ? (index.h("s-saqhan-chat-wrapper", { messages: mock.messages, mainUser: mock.mainUser, onSelectPersonal: () => this.onSelectPersonal(), onSelectUsers: () => this.onSelectUsers(), onSelectFiles: () => this.onSelectFiles(), onClose: () => this.onClose(), showContent: this.showContent })) : (""), index.h("div", { class: "btn-wrapper" }, index.h("div", { class: "open-chat" }, index.h("button", { onClick: () => this.isShowChat(), class: "btn-open" }, index.h("span", null, this.showChat ? (index.h("i", { class: "fas fa-times" })) : (index.h("i", { class: "far fa-comment-dots" }))))))));
    }
};
SSaqhanChatApp.style = sSaqhanChatAppCss;

const sSaqhanChatFilesCss = ".wrapper-files{height:65vh;padding:0px 10px}.block-file{cursor:pointer}.chat-files{text-align:center;margin:10px auto;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:space-evenly;justify-content:space-evenly}.chat-files .row{-ms-flex-align:center;align-items:center}.input-search{width:64%;border-radius:3px;border:none;background-color:#ececec;padding:10px 40px;outline:none}.chat-files .block-input::before{font-family:\"Font Awesome 5 Free\";font-weight:400;content:\"\\f0eb\";position:relative;left:25px;z-index:999;color:#5a5a5a}.block-file i{font-size:16px;color:#5a5a5a}.btn-back::after{content:\"1\";background-color:#c73f45;padding:1px 6px;color:#fff;font-size:10px;border-radius:30px;position:relative;right:7px;top:-15px;z-index:999}.btn-back{cursor:pointer}.btn-back span i{color:#a9a9a9;font-size:15px}.file-card{padding-top:10px;border-bottom:1px solid #e5e5e5}.block-info{display:-ms-flexbox;display:flex;margin-bottom:15px}.file-date{font-size:14px;font-weight:500;margin-bottom:10px}.file-img{width:60px;height:60px;margin-right:15px;border-radius:3px;background-image:url(\"https://via.placeholder.com/500x500?text=Visit\")}.file-name{font-size:14px;font-weight:500;margin-bottom:10px}.file-size{font-size:12px;color:#5a5a5a}.block-files{display:-ms-flexbox;display:flex;width:75%;-ms-flex-align:center;align-items:center;-ms-flex-pack:justify;justify-content:space-between}.block-repost{-webkit-transition:0.3s easy;transition:0.3s easy}.block-repost a{display:none;color:#000;font-size:12px;margin-left:10px}.block-info:hover .block-repost a{display:inline-block;cursor:pointer}@media (max-width: 375px){.input-search{width:auto;padding:10px 30px}}@media (max-width: 320px){.wrapper-chat{width:320px}}";

const SSaqhanChatFiles = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "col-12 wrapper-files" }, index.h("div", { class: "file-card" }, index.h("div", { class: "file-date" }, "19 \u043D\u043E\u044F\u0431\u0440\u044F 2018"), index.h("div", { class: "block-info" }, index.h("div", { class: "file-img" }), index.h("div", { class: "block-files" }, index.h("div", { class: "file-info" }, index.h("div", { class: "file-name" }, "\u0422\u0440\u0435\u0431\u043E\u0432\u0430\u043D\u0438\u044F_\u0411\u0430\u043D\u043A\u0430_\u043A_\u0420\u0435\u0441\u0443\u0440\u0441\u0443.."), index.h("div", { class: "file-size" }, "18.8 \u041A\u0411 13:27")), index.h("div", { class: "block-repost" }, index.h("a", { href: "#" }, index.h("i", { class: "fas fa-share" })), index.h("a", { href: "#" }, index.h("i", { class: "fas fa-download" })))))), index.h("div", { class: "file-card" }, index.h("div", { class: "file-date" }, "17 \u043D\u043E\u044F\u0431\u0440\u044F 2018"), index.h("div", { class: "block-info" }, index.h("div", { class: "file-img" }), index.h("div", { class: "block-files" }, index.h("div", { class: "file-info" }, index.h("div", { class: "file-name" }, "\u0422\u0440\u0435\u0431\u043E\u0432\u0430\u043D\u0438\u044F_\u0411\u0430\u043D\u043A\u0430_\u043A_\u0420\u0435\u0441\u0443\u0440\u0441\u0443.."), index.h("div", { class: "file-size" }, "18.8 \u041A\u0411 13:27")), index.h("div", { class: "block-repost" }, index.h("a", { href: "#" }, index.h("i", { class: "fas fa-share" })), index.h("a", { href: "#" }, index.h("i", { class: "fas fa-download" }))))), index.h("div", { class: "block-info" }, index.h("div", { class: "file-img" }), index.h("div", { class: "block-files" }, index.h("div", { class: "file-info" }, index.h("div", { class: "file-name" }, "\u0422\u0440\u0435\u0431\u043E\u0432\u0430\u043D\u0438\u044F_\u0411\u0430\u043D\u043A\u0430_\u043A_\u0420\u0435\u0441\u0443\u0440\u0441\u0443.."), index.h("div", { class: "file-size" }, "18.8 \u041A\u0411 13:27")), index.h("div", { class: "block-repost" }, index.h("a", { href: "#" }, index.h("i", { class: "fas fa-share" })), index.h("a", { href: "#" }, index.h("i", { class: "fas fa-download" }))))))));
    }
};
SSaqhanChatFiles.style = sSaqhanChatFilesCss;

const sSaqhanChatFilesWrapperCss = ":host{display:block}";

const SSaqhanChatFilesWrapper = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", null, index.h("s-saqhan-chat-form-search-files", null), index.h("s-saqhan-chat-files", null)));
    }
};
SSaqhanChatFilesWrapper.style = sSaqhanChatFilesWrapperCss;

const sSaqhanChatFormSearchCss = ".block-file{cursor:pointer}.chat-files{text-align:center;padding:10px 0px;border-bottom:1px solid #ececec;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:space-evenly;justify-content:space-evenly}.chat-files .row{-ms-flex-align:center;align-items:center}.input-search{width:64%;border-radius:3px;border:none;background-color:#ececec;padding:10px 40px;outline:none}.chat-files .block-input::before{font-family:\"Font Awesome 5 Free\";font-weight:400;content:\"\\f274\";position:relative;left:25px;z-index:999;color:#5a5a5a}.block-file i{font-size:18px;color:#5a5a5a}@media (max-width: 375px){.chat-files{}.input-search{width:auto;padding:10px 30px}}";

const SSaqhanChatFormSearch = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.selectFiles = index.createEvent(this, "selectFiles", 7);
    }
    render() {
        return (index.h("div", { class: "header-wrapper" }, index.h("div", { class: " chat-files" }, index.h("div", { class: "block-input" }, index.h("input", { type: "text", class: "input-search", placeholder: "\u041F\u043E\u0438\u0441\u043A \u0447\u0430\u0442\u043E\u0432 \u0438 \u0441\u043E\u043E\u0431\u0449\u0435\u043D\u0438\u0439" })), index.h("div", { class: "block-file", onClick: () => this.selectFiles.emit() }, index.h("i", { class: "far fa-file-alt" })))));
    }
};
SSaqhanChatFormSearch.style = sSaqhanChatFormSearchCss;

const sSaqhanChatFormSearchFilesCss = ".block-file{cursor:pointer}.chat-files{text-align:center;padding:10px 0px;border-bottom:1px solid #ececec;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:space-evenly;justify-content:space-evenly}.chat-files .row{-ms-flex-align:center;align-items:center}.input-search{width:64%;border-radius:3px;border:none;background-color:#ececec;padding:10px 40px;outline:none}.chat-files .block-input::before{font-family:\"Font Awesome 5 Free\";font-weight:400;content:\"\\f274\";position:relative;left:25px;z-index:999;color:#5a5a5a}.block-file i{font-size:18px;color:#5a5a5a}@media (max-width: 375px){.chat-files{}.input-search{width:auto;padding:10px 30px}}";

const SSaqhanChatFormSearchFiles = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.selectUsers = index.createEvent(this, "selectUsers", 7);
    }
    render() {
        return (index.h("div", { class: "header-wrapper" }, index.h("div", { class: " chat-files" }, index.h("div", { class: "btn-back", onClick: () => this.selectUsers.emit() }, index.h("span", null, index.h("i", { class: "fas fa-chevron-left" }))), index.h("div", { class: "block-input" }, index.h("input", { type: "text", class: "input-search", placeholder: "\u041F\u043E\u0438\u0441\u043A \u0444\u0430\u0439\u043B\u043E\u0432" })), index.h("div", { class: "block-file" }, index.h("i", { class: "fas fa-filter" })))));
    }
};
SSaqhanChatFormSearchFiles.style = sSaqhanChatFormSearchFilesCss;

const sSaqhanChatMainUserCss = ".main-wrapper{width:100%;padding:15px 0px;border-bottom:1px solid #ececec}";

const SSaqhanChatMainUser = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    // getUserMain(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    render() {
        return (index.h("div", { class: "main-wrapper" }, index.h(MainUserMessage, { main: this.mainUser })));
    }
};
const MainUserMessage = (props) => {
    return props.main.map((item) => {
        return index.h("s-saqhan-chat-main-user-card", { main: item });
    });
};
SSaqhanChatMainUser.style = sSaqhanChatMainUserCss;

const sSaqhanChatMainUserCardCss = ".wrap-main{display:-ms-flexbox;display:flex}.user-wrapper-main{padding:0px 10px;display:-ms-flexbox;display:flex;margin-right:0px;padding-right:15px}.left{width:15%;margin:auto;display:inline-block}.right-main{width:80%;overflow:hidden;display:inline-block;border:none}.img-user{border-radius:50%;width:45px;height:45px;background-image:url(\"http://via.placeholder.com/300\");background-size:cover}.user-data{display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;-ms-flex-align:center;align-items:center;margin-bottom:5px}.user-name{font-size:13px;font-weight:500}.message-date{font-size:12px;color:#8e8e8e;margin-right:5px}.message-date:before{content:\"\\f058\";font-family:Font Awesome\\ 5 Free}.user-mess{color:#8e8e8e;font-size:13px;white-space:nowrap}.new-mess-wrap::after{content:\"            \";position:relative;left:-50px;z-index:0;background:-webkit-gradient(linear,left top, right top,from(hsla(0,0%,100%,0)),color-stop(100%, #fff),color-stop(0, #fff));background:linear-gradient(90deg,hsla(0,0%,100%,0),#fff 100%,#fff 0)}.new-mess-wrap{text-align:right;width:15px}.new-mess{position:relative;right:10%;margin-top:3px;font-size:11px;z-index:99;background-color:#c73f45;border-radius:50%;padding:0px 5px;color:#fff}@media (max-width: 414px){.new-mess{right:6%}.user-mess::after{right:15%}}@media (max-width: 375px){.right{width:77%}.new-mess{right:16%}.user-mess::after{right:25%}.user-wrapper{width:365px}.user-wrapper-main{padding-right:0px;padding:0px 0px}}@media (max-width: 320px){.user-wrapper{width:100%}.message-date{font-size:11px}.right{width:80%}.new-mess{right:27%}.user-mess::after{right:40%}}";

const SSaqhanChatMainUserCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.selectPersonal = index.createEvent(this, "selectPersonal", 7);
    }
    render() {
        return (index.h("div", { class: "user-wrapper-main", onClick: () => this.selectPersonal.emit() }, index.h("div", { class: "left" }, index.h("div", { class: "img-user", style: { backgroundImage: "url(" + this.main.img + ")" } })), index.h("div", { class: "right-main" }, index.h("div", { class: "user-data" }, index.h("div", { class: "user-name" }, this.main.name), index.h("div", { class: "message-date" }, " ", this.main.date, " ")), index.h("div", { class: "mess-wrapper" }, index.h("div", { class: "user-mess" }, this.main.message), index.h("div", { class: "new-mess-wrap" }, index.h("span", { class: "new-mess" }, "2"))))));
    }
};
SSaqhanChatMainUserCard.style = sSaqhanChatMainUserCardCss;

const sSaqhanChatPersonalCss = ".header-chat a{position:relative;right:-25%;display:block;top:3px;padding-bottom:3px;border-radius:50%;width:25px}.header-chat a i{font-size:25px;color:#ccc}.header-chat a i:hover{color:#72b94d}.personal-messages .user{-ms-flex-align:center;align-items:center}.personal-messages{width:100%}.personal-messages .chat-user-main{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:justify;justify-content:space-between;margin:10px;padding-left:15px}.personal-messages .chat-user-main .user-img{width:50px;padding-right:5px}.name{font-weight:500}.menu-personal i{color:#ccc;margin-right:15px;cursor:pointer}.btn-back::after{content:\"1\";background-color:#c73f45;padding:1px 6px;color:#fff;font-size:10px;border-radius:30px;position:relative;right:7px;top:-15px;z-index:999}.btn-back{cursor:pointer}.btn-back span i{color:#a9a9a9;font-size:15px}.personal-mess,.admin-mess{padding:0 15px;font-size:14px}.personal-mess{display:-ms-flexbox;display:flex;-ms-flex-pack:end;justify-content:flex-end}.mess-user{padding:10px;background-color:#feffc5;border-radius:3px;width:80%;margin:5px 0}.mess-admin{background-color:#ececec;width:80%;padding:10px;border-radius:3px;margin:10px 0}.position-admin span{font-size:12px;color:#8e8e8e;font-weight:500}.mess-date{font-size:11px;color:#8e8e8e;margin-left:5px}.mess-date::before{content:\"\\f058\";font-family:\"Font Awesome 5 Free\";color:#9a9ab5;font-size:10px;margin-right:3px}.messages-block{height:66vh}.messages-block{overflow:scroll;overflow-x:hidden}@media (max-width: 414px){.messages-block{height:74vh}}@media (max-width: 375px){.messages-block{height:72vh}}@media (max-width: 320px){.wrapper-chat{width:100%;height:100vh}.messages-block{height:67vh}}@media (height: 1366px) and (width: 1024px ){.messages-block{height:72vh}}";

const SSaqhanChatPersonal = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.selectUsers = index.createEvent(this, "selectUsers", 7);
    }
    render() {
        return (index.h("div", { class: "personal-messages" }, index.h("div", { class: "col-12 chat-user-main" }, index.h("div", { class: "user" }, index.h("div", { class: "btn-back", onClick: () => this.selectUsers.emit() }, index.h("span", null, index.h("i", { class: "fas fa-chevron-left" }))), index.h("div", { class: "user-img" }, index.h("div", { class: "img", style: { backgroundImage: "url(https://via.placeholder.com/500)" } })), index.h("div", { class: "personal-user" }, index.h("div", { class: "name" }, "\u041A\u0441\u0435\u043D\u0438\u044F"))), index.h("div", { class: "menu-personal" }, index.h("i", { class: "fas fa-ellipsis-v" }))), index.h("div", { class: "messages-block" }, index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "\u0412\u0438\u0440\u0443\u0441 \u044D\u0432\u043E\u043B\u0438\u0446\u0438\u043E\u043D\u0438\u0440\u0443\u0435\u0442!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u0422\u0430\u043A \u0434\u0430\u0432\u0430\u0439\u0442\u0435 \u0441\u043D\u0438\u043C\u0438\u043C \u043A\u0430\u0440\u0430\u043D\u0442\u0438\u043D, \u043F\u0443\u0441\u0442\u044C \u0432\u0441\u0435 \u0432\u044B\u0439\u0434\u0443\u0442 \u043D\u0430 \u0440\u0430\u0431\u043E\u0442\u0443!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "\u041C\u0438\u0440\u043E\u0432\u043E\u0439 \u0437\u0430\u0433\u043E\u0432\u0440, \u0432\u0441\u0435 \u043E\u0431 \u044D\u0442\u043E\u043C \u0437\u043D\u0430\u044E\u0442!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u041C\u044B \u0441 \u0412\u0430\u043C\u0438 \u0441\u043E\u0433\u043B\u0430\u0441\u043D\u044B \u0438 \u0441\u0435\u0439\u0447\u0430\u0441 \u043F\u0435\u0440\u0435\u0432\u0435\u043B\u0438 \u043C\u0438\u043B\u043B\u0438\u043E\u043D \u043D\u0430 \u043B\u0435\u0447\u0435\u043D\u0438\u0435."), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043E\u0447\u0435\u043D\u044C \u0446\u0435\u043D\u044E!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "\u0413\u0434\u0435 \u0434\u0435\u043D\u044C\u0433\u0438, \u041B\u0435\u0431\u043E\u0432\u0441\u043A\u0438\u0439?"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "Hello there! pls tell me, where a u?"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "Well done!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "Well done!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "admin-mess" }, index.h("div", { class: "mess-admin" }, index.h("div", { class: "position-admin" }, index.h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), index.h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20"))), index.h("div", { class: "personal-mess" }, index.h("div", { class: "mess-user" }, index.h("span", { class: "user-text" }, "Well done!"), index.h("span", { class: "mess-date" }, "30.08.2020 09:20")))), index.h("chat-add-question", null)));
    }
};
SSaqhanChatPersonal.style = sSaqhanChatPersonalCss;

const sSaqhanChatUserCss = "";

const SSaqhanChatUser = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    // getUser(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    render() {
        return (index.h("div", { class: "user-wrapper" }, index.h(UserMessage, { user: this.messages })));
    }
};
const UserMessage = (props) => {
    return props.user.map(item => {
        return index.h("s-saqhan-chat-user-card", { user: item });
    });
};
SSaqhanChatUser.style = sSaqhanChatUserCss;

const sSaqhanChatUserCardCss = ".wrap-main{display:-ms-flexbox;display:flex}.user-card{cursor:pointer;padding:5px 0px;display:-ms-flexbox;display:flex}.left{width:15%;margin:auto;display:inline-block}.right{width:80%;overflow:hidden;display:inline-block;border-bottom:1px solid #ececec;padding-bottom:5px}.mess-wrapper{display:-ms-flexbox;display:flex}.positon-user{font-size:10px;background-color:#efd96e;color:#5a5a5a;border-radius:15%;padding:1px 5px;margin-bottom:5px;margin-top:10px;display:inline-block}.img-user{border-radius:50%;width:45px;height:45px;background-image:url(\"http://via.placeholder.com/300\");background-size:cover}.user-data{display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;-ms-flex-align:center;align-items:center;margin-bottom:5px}.user-name{font-size:13px;font-weight:500}.message-date{font-size:12px;color:#8e8e8e}.message-date:before{content:\"\\f058\";font-family:Font Awesome\\ 5 Free;margin-right:5px}.user-mess{color:#8e8e8e;font-size:13px;white-space:nowrap;width:100%;overflow:hidden}.new-mess-wrap::after{content:\"            \";position:relative;left:-50px;z-index:0;background:-webkit-gradient(linear,left top, right top,from(hsla(0,0%,100%,0)),color-stop(100%, #fff),color-stop(0, #fff));background:linear-gradient(90deg,hsla(0,0%,100%,0),#fff 100%,#fff 0)}.new-mess-wrap{text-align:right;width:15px}.new-mess{position:relative;right:10%;margin-top:3px;font-size:11px;z-index:99;background-color:#c73f45;border-radius:50%;padding:0px 5px;color:#fff}@media (max-width: 414px){.user-mess::after{right:10%}}@media (max-width: 375px){.new-mess{right:12%}}";

const SSaqhanChatUserCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.selectPersonal = index.createEvent(this, "selectPersonal", 7);
    }
    render() {
        return (index.h("div", null, index.h("div", { class: "user-card", onClick: () => this.selectPersonal.emit() }, index.h("div", { class: "left" }, index.h("div", { class: "img-user", style: { backgroundImage: "url(" + this.user.img + ")" } })), index.h("div", { class: "right" }, index.h("div", { class: "user-data" }, index.h("div", { class: "user-name" }, this.user.name), index.h("div", { class: "message-date" }, this.user.date)), index.h("div", { class: "mess-wrapper" }, index.h("div", { class: "user-mess" }, this.user.message), index.h("div", { class: "new-mess-wrap" }, index.h("span", { class: "new-mess" }, "1"))), this.user.position ? index.h("span", { class: "positon-user" }, this.user.position) : ''))));
    }
};
SSaqhanChatUserCard.style = sSaqhanChatUserCardCss;

const sSaqhanChatUsersCss = ".user-wrapper{cursor:pointer;padding:0px 10px;padding-right:15px}@media (max-width: 375px){.user-wrapper{cursor:pointer;padding:0px 0px;padding-right:0px}}";

const SSaqhanChatUsers = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return index.h("div", { class: "user-wrapper" }, index.h("s-saqhan-chat-main-user", { mainUser: this.mainUser }), index.h("s-saqhan-chat-user", { messages: this.messages }));
    }
};
SSaqhanChatUsers.style = sSaqhanChatUsersCss;

const sSaqhanChatUsersWrapperCss = ".chat-wrap{width:100%;height:65vh;overflow:overlay}@media (max-width: 414px){.chat-wrap{height:78vh}}@media (max-width: 375px){.chat-wrap{height:76vh}}@media (max-width: 320px){.chat-wrap{height:72vh}.block-input{margin-left:25px}}@media (height: 1366px) and (width: 1024px ){.chat-wrap{height:72vh}}";

const SSaqhanChatUsersWrapper = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", null, index.h("s-saqhan-chat-form-search", null), index.h("div", { class: "chat-wrap" }, index.h("s-saqhan-chat-users", { messages: this.messages, mainUser: this.mainUser })), index.h("s-saqhan-chat-add-question", null)));
    }
};
SSaqhanChatUsersWrapper.style = sSaqhanChatUsersWrapperCss;

const sSaqhanChatWrapperCss = ".wrapper-chat{-webkit-box-shadow:0 0 10px 1px #828282;box-shadow:0 0 10px 1px #828282;border-radius:2px;margin-bottom:10px;width:400px;height:85vh;background-color:#fff}.header-chat{background-color:#ececec;text-align:center;padding:10px 0px;font-weight:500;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center}.header-chat a{position:relative;right:-25%;display:block;top:3px;padding-bottom:3px;border-radius:50%;width:25px}.header-chat a i{font-size:25px;color:#ccc}.header-chat a i:hover{color:#72b94d}@media (max-width: 414px){.wrapper-chat{width:414px;height:100vh}}@media (height: 1366px) and (width: 1024px ){.messages-block{height:72vh}}";

const SSaqhanChatWrapper = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ShowContent = (content) => {
            switch (content) {
                case "personal":
                    return index.h("s-saqhan-chat-personal", null);
                case "users":
                    return index.h("s-saqhan-chat-users-wrapper", { messages: mock.messages, mainUser: mock.mainUser });
                case "files":
                    return index.h("s-saqhan-chat-files-wrapper", null);
            }
        };
        this.close = index.createEvent(this, "close", 7);
        this.selectPersonal = index.createEvent(this, "selectPersonal", 7);
        this.selectUsers = index.createEvent(this, "selectUsers", 7);
        this.selectFiles = index.createEvent(this, "selectFiles", 7);
    }
    render() {
        return (index.h("div", { class: "wrapper-chat" }, index.h("div", { class: "header-chat" }, "\u0427\u0430\u0442 \u0441 \u0431\u0430\u043D\u043A\u043E\u043C", index.h("a", { href: "#", onClick: () => this.close.emit() }, index.h("i", { class: "fas fa-times-circle" }))), index.h("div", { class: "content-chat" }, this.ShowContent(this.showContent))));
    }
};
SSaqhanChatWrapper.style = sSaqhanChatWrapperCss;

const sSaqhanComponentCss = "";

const SSaqhanComponent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", null, index.h("s-saqhan-header-app", null), index.h("s-saqhan-first-slider", { blogCarouselMock: mock.blogCarouselMock }), index.h("s-saqhan-new-blog", { blogPost: mock.blogPost }), index.h("s-saqhan-popular-news", { popularNews: mock.popularNews }), index.h("s-saqhan-events-blog", { events: mock.events }), index.h("s-saqhan-subsc-banner", null), index.h("s-saqhan-app-footer", null), index.h("s-saqhan-chat-app", null)));
    }
};
SSaqhanComponent.style = sSaqhanComponentCss;

const sSaqhanEventCardCss = ".blog-img{width:310px;height:210px;background-size:cover;margin-bottom:20px}.date-event{padding:10px;background-color:#fff;position:relative;top:8px;border-bottom-right-radius:5px}@media (max-width: 414px){.blog-card{width:85%;margin:auto;margin-bottom:15px}.block-title{text-align:center}}";

const SSaqhanEventCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category text-warning small";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
    }
    render() {
        return (index.h("div", { class: "blog-card" }, index.h("div", { class: "blog-img", style: { backgroundImage: "url(" + this.event.img + ")" } }, index.h("span", { class: !this.event.date ? 'no-date' : 'date-event' }, " ", this.event.date, " ")), index.h("div", { class: this.ColorCategory(this.event.category) }, this.event.category), index.h("div", { class: "blog-title pt-3 font-weight-bold" }, this.event.title), index.h("div", { class: "btn-read pt-3" }, index.h("a", { href: "/second-page/" }, " ", this.event.btnText, " "))));
    }
};
SSaqhanEventCard.style = sSaqhanEventCardCss;

const sSaqhanEventsBlogCss = ".blog-img{width:310px;height:210px;background-size:cover;margin-bottom:20px}.date-event{padding:10px;background-color:#fff;position:relative;top:8px;border-bottom-right-radius:5px}.new-blog-cards{display:-ms-flexbox;display:flex;-ms-flex-pack:distribute;justify-content:space-around}@media (max-width: 414px){.blog-card{width:85%;margin:auto}.block-title{text-align:center}}";

const SSaqhanEventsBlog = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    getEvents(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: " pt-5 pb-5" }, index.h("div", { class: "col-12" }, index.h("h1", { class: "font-weight-bold block-title" }, "Upcoming events")), index.h("div", { class: "row" }, index.h(EventsPost, { event: this.getEvents(this.events) })))));
    }
};
const EventsPost = (props) => {
    return props.event.map((item) => {
        return (index.h("div", { class: "col-12 col-md-6 col-lg-4" }, index.h("s-saqhan-event-card", { event: item })));
    });
};
SSaqhanEventsBlog.style = sSaqhanEventsBlogCss;

const sSaqhanFirstSliderCss = "";

const SSaqhanFirstSlider = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    mainNews(arr) {
        return (arr.filter(item => item.main) || []).slice(-1);
    }
    lentaNews(arr) {
        return (arr.filter(item => item.lenta)).slice(-4).reverse();
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row pt-5 pb-5" }, index.h("div", { class: "col-12 col-lg-7" }, index.h(MainNews, { arr: this.mainNews(this.blogCarouselMock) })), index.h("div", { class: "col-12 col-lg-5" }, index.h(LentaNews, { lenta: this.lentaNews(this.blogCarouselMock) })))));
    }
};
// получает и передает в компонент элементы
const MainNews = (props) => {
    return (props.arr.map((item) => {
        return index.h("s-saqhan-main-news-card", { mainNews: item });
    }));
};
//лента новостей
const LentaNews = (props) => {
    return (props.lenta.map((item) => {
        return index.h("s-saqhan-lenta-news-card", { lentaNews: item });
    }));
};
SSaqhanFirstSlider.style = sSaqhanFirstSliderCss;

const sSaqhanHeaderAppCss = ":host{display:block}.navbar-brand img{width:125px}.btn-custom-head{padding:2px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px}header{margin-top:50px}@media (max-width: 414px){header{margin-top:20px}}";

const SSaqhanHeaderApp = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row" }, index.h("div", { class: "col" }, index.h("header", null, index.h("nav", { class: "navbar navbar-expand-lg navbar-light p-0 d-flex justify-content-between" }, index.h("a", { href: "/", class: "navbar-brand" }, index.h("img", { src: "https://saqhan.github.io/wibbitz/assets/img/logo.jpg" })), index.h("button", { class: "navbar-toggler", type: "button", "data-toggle": "collapse", "data-target": "#navbarSupportedContent", "aria-controls": "navbarSupportedContent", "aria-expanded": "false", "aria-label": "Toggle navigation" }, index.h("span", { class: "navbar-toggler-icon" })), index.h("div", { class: "collapse navbar-collapse justify-content-around align-items-center", id: "navbarSupportedContent" }, index.h("ul", { class: "navbar-nav m-auto" }, index.h("li", { class: "nav-item" }, index.h("a", { class: "nav-link active", href: "/" }, "Home")), index.h("li", { class: "nav-item" }, index.h("a", { class: "nav-link", href: "/second-page/" }, "Second Page")), index.h("li", { class: "nav-item" }, index.h("a", { class: "nav-link", href: "/list-items/" }, "List Items")), index.h("li", { class: "nav-item" }, index.h("a", { class: "nav-link", href: "/chat/" }, "Online Chat")), index.h("li", { class: "nav-item" }, index.h("a", { class: "nav-link", href: "/second-page/" }, "Customer Stories"))), index.h("a", { href: "#", class: "pr-4" }, index.h("i", { class: "fas fa-search" })), index.h("form", { class: "form" }, index.h("div", { class: "input-group" }, index.h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), index.h("div", { class: "input-group-append" }, index.h("button", { class: "btn btn-primary btn-custom-head", type: "submit" }, "Subscribe")))))))))));
    }
};
SSaqhanHeaderApp.style = sSaqhanHeaderAppCss;

const sSaqhanLentaNewsCardCss = ".lenta-img{background-image:url(\"https://via.placeholder.com/900x900?text=Visit\")}.img-news{height:308px;background-size:cover}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.lenta-news{padding-bottom:20px;-ms-flex:1;flex:1}.lenta-img{width:110px;height:110px;background-size:cover;border-radius:3px;margin-right:35px}.lenta-news img{width:110px;height:110px}.lenta-info{-ms-flex:2;flex:2}.lenta-title{font-size:15px}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}.lenta-title{min-height:58px;margin-top:10px;line-height:1.2}.img-news{height:308px;background-size:cover}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}";

const SSaqhanLentaNewsCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category lenta-category small";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
    }
    render() {
        return (index.h("div", { class: "lenta-news d-flex justify-content-between" }, index.h("div", { class: "lenta-img pr-4" }, " "), index.h("div", { class: "lenta-info" }, index.h("div", { class: this.ColorCategory(this.lentaNews.category) }, this.lentaNews.category), index.h("div", { class: "lenta-title font-weight-bold pt-1" }, this.lentaNews.title), index.h("div", { class: "btn-read" }, index.h("a", { href: "/second-page/" }, this.lentaNews.btnText)))));
    }
};
SSaqhanLentaNewsCard.style = sSaqhanLentaNewsCardCss;

const sSaqhanMainNewsCardCss = ":host{display:block}.img-news{background-image:url(\"https://via.placeholder.com/635x308?text=Visit\")}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}.img-news{height:308px;background-size:cover}.img-news img{width:100%;height:315px}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.category-news{font-weight:600}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}@media (max-width: 768px){.main-news{margin-bottom:20px}}@media (max-width: 992px){.img-news img{height:auto}}";

const SSaqhanMainNewsCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = 'category category-news pt-3 small';
            switch (nameCategory) {
                case 'Report':
                    return `report ${classCategory}`;
                case `Webinar ${classCategory}`:
                    return `webinar ${classCategory}`;
                case 'Blog Post':
                    return `blog-post ${classCategory}`;
            }
        };
    }
    render() {
        return (index.h("div", { class: "main-news" }, index.h("div", null, index.h("div", { class: "img-news m-auto" }), index.h("div", { class: this.ColorCategory(this.mainNews.category) }, this.mainNews.category), index.h("div", { class: "title-news pt-3 h2 font-weight-bold" }, this.mainNews.title), index.h("div", { class: "sub-title-news pt-3 pb-3 text-muted" }, this.mainNews.subTitle), index.h("a", { href: "/second-page/", class: "btn btn-primary btn-custom" }, this.mainNews.btnText))));
    }
};
SSaqhanMainNewsCard.style = sSaqhanMainNewsCardCss;

const sSaqhanNewBlogCss = "";

const SSaqhanNewBlog = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    getNewPosts(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row" }, index.h("div", { class: "col-12" }, index.h("h1", { class: "font-weight-bold" }, "New Blog Post"))), index.h("div", { class: "row" }, index.h(NewPostCard, { post: this.getNewPosts(this.blogPost) }))));
    }
};
const NewPostCard = (props) => {
    return (props.post.map((item) => {
        return index.h("div", { class: "col-12 col-md-6 col-lg-4 " }, index.h("s-saqhan-blog-card", { post: item }));
    }));
};
SSaqhanNewBlog.style = sSaqhanNewBlogCss;

const sSaqhanPopularCardCss = ".lenta-category{font-weight:600}.news-block{display:-ms-flexbox;display:flex}.news-block{min-height:160px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.news-img{width:248px;height:128px;background-size:cover;border-radius:3px;margin-right:30px;background-image:url(\"https://via.placeholder.com/500\")}.lenta-title{min-height:58px;margin-top:10px;line-height:1.2;font-weight:500;min-height:75px}.lenta-img{width:128px;height:128px;background-size:cover;margin-right:30px;border-radius:3px}.lenta-category{font-size:12px;color:#007bff}@media (min-width: 768px){.lenta-title{width:75%}}@media (max-width: 768px){.lenta-title{width:100%}}@media (max-width: 414px){.blog-img{margin:auto}.block-title{text-align:center}}";

const SSaqhanPopularCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "lenta-category category";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
    }
    render() {
        return (index.h("div", { class: "news-block" }, index.h("div", { class: "news-img" }), index.h("div", { class: "news-info" }, index.h("div", { class: this.ColorCategory(this.post.category) }, this.post.category), index.h("div", { class: "lenta-title" }, this.post.title), index.h("div", { class: "btn-read" }, index.h("a", { href: "#" }, " ", this.post.btnText, " ")))));
    }
};
SSaqhanPopularCard.style = sSaqhanPopularCardCss;

const sSaqhanPopularNewsCss = ".banner{background-image:url(\"https://via.placeholder.com/900x900?text=Visit\");background-size:cover}.banner .btn-read a{color:#fff;border-bottom:1px solid #ffffff;-webkit-transition:0.3s all;transition:0.3s all}.banner .btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff}@media (max-width: 414px){.banner{margin-top:50px}.blog-img{margin:auto}.block-title{text-align:center}}";

const SSaqhanPopularNews = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    getPopularNews(arr) {
        return arr.map(item => item);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row pt-5 pb-5" }, index.h("div", { class: "col-12" }, index.h("h1", { class: "font-weight-bold pb-4 block-title" }, "Popular Resours")), index.h("div", { class: "col-12 col-lg-7" }, index.h("div", { class: "cards-popular" }, index.h(CardPopular, { post: this.getPopularNews(this.popularNews) }))), index.h("div", { class: "col-12 col-lg-5 p-5 p-lg-0 banner d-flex align-items-center flex-column justify-content-center" }, index.h("div", { class: "banner-title text-center text-white" }, "Storyteller Circle ", index.h("br", null), "Event Series"), index.h("div", { class: "btn-read pt-3" }, index.h("a", { href: "#" }, "Watch Webinar"))))));
    }
};
const CardPopular = (props) => {
    return (props.post.map((item) => {
        return index.h("s-saqhan-popular-card", { post: item });
    }));
};
SSaqhanPopularNews.style = sSaqhanPopularNewsCss;

const sSaqhanSubscBannerCss = ".subscribe{background-color:#000;margin-bottom:20px}.subscribe .left{padding-left:50px}.sub-title h1{font-size:52px}.btn-read a{-webkit-transition:0.3s all;transition:0.3s all;color:#6c757d;border-bottom:1px solid #6c757d}.btn-read a:hover{text-decoration:none;color:#fff;border-bottom:1px solid #fff;cursor:context-menu}.btn-custom-head{padding:10px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px;height:50px;width:125px;z-index:999}.form-control{background-color:#fff0;height:50px;padding-left:40px;outline:none}.input-group i{position:relative;top:16px;left:33px;font-size:20px}.logos a{font-size:20px;margin:0px 10px;-webkit-transition:0.3s all;transition:0.3s all}.logos a:hover{color:#fff;cursor:pointer}@media (max-width: 768px){.sub-title,.subs-sub-title{text-align:center}}@media (max-width: 414px){.sub-title{font-size:40px}.subscribe .left{padding-left:0px}}";

const SSaqhanSubscBanner = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row subscribe d-flex justify-content-between align-items-center pt-5 pb-5 text-white" }, index.h("div", { class: "col-12 col-lg-6 left" }, index.h("div", { class: "sub-title" }, index.h("h1", null, "Ready to take a test drive")), index.h("div", { class: "subs-sub-title text-muted" }, "We'll help you elevate your video content strategy. Prices strating from $49 a month.", index.h("span", { class: "btn-read" }, index.h("a", { href: "/second-page/" }, "See\u00A0pricing")))), index.h("div", { class: "col-12 col-lg-6 p-3 right pr-sm-5 text-right" }, index.h("div", { class: "col-12" }, index.h("form", { class: "form" }, index.h("div", { class: "input-group" }, index.h("i", { class: "fas fa-at" }), index.h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), index.h("div", { class: "input-group-append" }, index.h("button", { class: "btn btn-primary btn-custom-head", type: "submit" }, "Try it Free"))))), index.h("div", { class: "col-12" }, index.h("div", { class: "logos text-center text-muted pt-4" }, index.h("a", { href: "/second-page/" }, index.h("i", { class: "far fa-address-book" })), index.h("a", { href: "/second-page/" }, index.h("i", { class: "fas fa-paper-plane" })), index.h("a", { href: "/second-page/" }, index.h("i", { class: "fas fa-envelope" })), index.h("a", { href: "/second-page/" }, index.h("i", { class: "fas fa-map-marked" }))))))));
    }
};
SSaqhanSubscBanner.style = sSaqhanSubscBannerCss;

exports.s_saqhan_app_footer = SSaqhanAppFooter;
exports.s_saqhan_blog_card = SSaqhanBlogCard;
exports.s_saqhan_chat_add_question = SSaqhanChatAddQuestion;
exports.s_saqhan_chat_app = SSaqhanChatApp;
exports.s_saqhan_chat_files = SSaqhanChatFiles;
exports.s_saqhan_chat_files_wrapper = SSaqhanChatFilesWrapper;
exports.s_saqhan_chat_form_search = SSaqhanChatFormSearch;
exports.s_saqhan_chat_form_search_files = SSaqhanChatFormSearchFiles;
exports.s_saqhan_chat_main_user = SSaqhanChatMainUser;
exports.s_saqhan_chat_main_user_card = SSaqhanChatMainUserCard;
exports.s_saqhan_chat_personal = SSaqhanChatPersonal;
exports.s_saqhan_chat_user = SSaqhanChatUser;
exports.s_saqhan_chat_user_card = SSaqhanChatUserCard;
exports.s_saqhan_chat_users = SSaqhanChatUsers;
exports.s_saqhan_chat_users_wrapper = SSaqhanChatUsersWrapper;
exports.s_saqhan_chat_wrapper = SSaqhanChatWrapper;
exports.s_saqhan_component = SSaqhanComponent;
exports.s_saqhan_event_card = SSaqhanEventCard;
exports.s_saqhan_events_blog = SSaqhanEventsBlog;
exports.s_saqhan_first_slider = SSaqhanFirstSlider;
exports.s_saqhan_header_app = SSaqhanHeaderApp;
exports.s_saqhan_lenta_news_card = SSaqhanLentaNewsCard;
exports.s_saqhan_main_news_card = SSaqhanMainNewsCard;
exports.s_saqhan_new_blog = SSaqhanNewBlog;
exports.s_saqhan_popular_card = SSaqhanPopularCard;
exports.s_saqhan_popular_news = SSaqhanPopularNews;
exports.s_saqhan_subsc_banner = SSaqhanSubscBanner;
