'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9b9440d2.js');

const sSaqhanCardAuthorCss = ".author-sub{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.follow{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;font-size:12px;-ms-flex-pack:end;justify-content:flex-end;color:#c4c4c4}.soc-acc{margin-left:20px}.sub-auth{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.img{margin-right:30px;width:70px;height:70px;background-size:cover;border-radius:50%}.name{font-weight:600}.info{font-size:12px}";

const SSaqhanCardAuthor = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "row sub-auth" }, index.h("div", { class: "col" }, index.h("div", { class: "author-sub" }, index.h("div", { class: "img", style: { backgroundImage: 'url(' + this.author.img + ')' } }), index.h("div", { class: "author-info" }, index.h("div", { class: "name" }, this.author.firstName), index.h("div", { class: "info" }, this.author.position)))), index.h("div", { class: "col" }, index.h("div", { class: "follow" }, index.h("div", null, "Follow me on:"), index.h("div", { class: "soc-acc" }, index.h("div", { class: "footer-soc" }, index.h("div", { class: "template-demo" }, index.h("button", { type: "button", class: "btn btn-social-icon btn-facebook btn-rounded" }, index.h("i", { class: "fab fa-facebook-f" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, index.h("i", { class: "fab fa-twitter" })))))))));
    }
};
SSaqhanCardAuthor.style = sSaqhanCardAuthorCss;

exports.s_saqhan_card_author = SSaqhanCardAuthor;
