'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-679d8d77.js');

const sSaqhanPopularCardCss = ".lenta-category{font-weight:600}.news-block{display:-ms-flexbox;display:flex}.news-block{min-height:160px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.news-img{width:248px;height:128px;background-size:cover;border-radius:3px;margin-right:30px;background-image:url(\"https://via.placeholder.com/500\")}.lenta-title{min-height:58px;margin-top:10px;line-height:1.2;font-weight:500;min-height:75px}.lenta-img{width:128px;height:128px;background-size:cover;margin-right:30px;border-radius:3px}.lenta-category{font-size:12px;color:#007bff}@media (min-width: 768px){.lenta-title{width:75%}}@media (max-width: 768px){.lenta-title{width:100%}}@media (max-width: 414px){.blog-img{margin:auto}.block-title{text-align:center}}";

const SSaqhanPopularCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "lenta-category category";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
    }
    render() {
        return (index.h("div", { class: "news-block" }, index.h("div", { class: "news-img" }), index.h("div", { class: "news-info" }, index.h("div", { class: this.ColorCategory(this.post.category) }, this.post.category), index.h("div", { class: "lenta-title" }, this.post.title), index.h("div", { class: "btn-read" }, index.h("a", { href: "#" }, " ", this.post.btnText, " ")))));
    }
};
SSaqhanPopularCard.style = sSaqhanPopularCardCss;

exports.s_saqhan_popular_card = SSaqhanPopularCard;
