import { Component, h } from '@stencil/core';
export class SSaqhanSubscBanner {
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "row subscribe d-flex justify-content-between align-items-center pt-5 pb-5 text-white" },
                h("div", { class: "col-12 col-lg-6 left" },
                    h("div", { class: "sub-title" },
                        h("h1", null, "Ready to take a test drive")),
                    h("div", { class: "subs-sub-title text-muted" },
                        "We'll help you elevate your video content strategy. Prices strating from $49 a month.",
                        h("span", { class: "btn-read" },
                            h("a", { href: "/second-page/" }, "See\u00A0pricing")))),
                h("div", { class: "col-12 col-lg-6 p-3 right pr-sm-5 text-right" },
                    h("div", { class: "col-12" },
                        h("form", { class: "form" },
                            h("div", { class: "input-group" },
                                h("i", { class: "fas fa-at" }),
                                h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }),
                                h("div", { class: "input-group-append" },
                                    h("button", { class: "btn btn-primary btn-custom-head", type: "submit" }, "Try it Free"))))),
                    h("div", { class: "col-12" },
                        h("div", { class: "logos text-center text-muted pt-4" },
                            h("a", { href: "/second-page/" },
                                h("i", { class: "far fa-address-book" })),
                            h("a", { href: "/second-page/" },
                                h("i", { class: "fas fa-paper-plane" })),
                            h("a", { href: "/second-page/" },
                                h("i", { class: "fas fa-envelope" })),
                            h("a", { href: "/second-page/" },
                                h("i", { class: "fas fa-map-marked" }))))))));
    }
    static get is() { return "s-saqhan-subsc-banner"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-subsc-banner.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-subsc-banner.css"]
    }; }
}
