import { Component, h, Event, } from "@stencil/core";
export class SSaqhanChatFormSearch {
    render() {
        return (h("div", { class: "header-wrapper" },
            h("div", { class: " chat-files" },
                h("div", { class: "block-input" },
                    h("input", { type: "text", class: "input-search", placeholder: "\u041F\u043E\u0438\u0441\u043A \u0447\u0430\u0442\u043E\u0432 \u0438 \u0441\u043E\u043E\u0431\u0449\u0435\u043D\u0438\u0439" })),
                h("div", { class: "block-file", onClick: () => this.selectFiles.emit() },
                    h("i", { class: "far fa-file-alt" })))));
    }
    static get is() { return "s-saqhan-chat-form-search"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-chat-form-search.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-chat-form-search.css"]
    }; }
    static get events() { return [{
            "method": "selectFiles",
            "name": "selectFiles",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
