import { Component, h, Prop } from '@stencil/core';
export class SSaqhanChatUsersWrapper {
    render() {
        return (h("div", null,
            h("s-saqhan-chat-form-search", null),
            h("div", { class: "chat-wrap" },
                h("s-saqhan-chat-users", { messages: this.messages, mainUser: this.mainUser })),
            h("s-saqhan-chat-add-question", null)));
    }
    static get is() { return "s-saqhan-chat-users-wrapper"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-chat-users-wrapper.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-chat-users-wrapper.css"]
    }; }
    static get properties() { return {
        "messages": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "messages",
            "reflect": false
        },
        "mainUser": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "main-user",
            "reflect": false
        }
    }; }
}
