import { r as registerInstance, h } from './index-7a106f9f.js';

const sSaqhanBreadCrumbsCss = ":host{display:block}";

const SSaqhanBreadCrumbs = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    getLinks(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", null, h(BreadLinks, { links: this.getLinks(this.links) })));
    }
};
const BreadLinks = (props) => {
    return props.links.map((item) => {
        return (h("div", { class: "container" }, h("s-saqhan-bread-card", { links: item })));
    });
};
SSaqhanBreadCrumbs.style = sSaqhanBreadCrumbsCss;

const sSaqhanListNewsCss = ":host{display:block}";

const SSaqhanListNews = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    getNews(arr) {
        return arr.map(item => item);
    }
    render() {
        return (h("div", null, h(NewsItem, { news: this.getNews(this.news) })));
    }
};
const NewsItem = (props) => {
    return (props.news.map(item => {
        return (h("div", { class: "container-fluid" }, " ", h("s-saqhan-news-card", { news: item }), " "));
    }));
};
SSaqhanListNews.style = sSaqhanListNewsCss;

export { SSaqhanBreadCrumbs as s_saqhan_bread_crumbs, SSaqhanListNews as s_saqhan_list_news };
